%{?!with_mwm:					%global with_mwm				 0}
%global momorel 5

%define intern_name openMotif
Summary: Open Motif runtime libraries and executables.
Name: openmotif
Version: 2.2.4
Release: %{momorel}m
License: see "http://www.opengroup.org/openmotif/license"
Group: System Environment/Libraries
Source: ftp://ftp.ics.com/pub/Products/Motif/openmotif-%{version}.tar.gz
URL: http://www.motifzone.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Patch11: openmotif-2.2.4-demo.patch
Patch12: openmotif-2.2.4-libtool.patch
Patch15: openmotif-2.2.4-utf8.patch
Patch25: openMotif-2.2.3-libdir.patch
Patch1000: openMotif-2.2.4-CAN-2004-0914.patch
Obsoletes: lesstif
Provides: lesstif
Prefix: /usr/X11R6
BuildPreReq: xorg-x11-deprecated-libs-devel
BuildRequires: byacc
BuildPrereq: automake15
#NoSource: 0

%description
This is the Open Motif %{version} runtime environment. It includes the
Motif shared libraries, needed to run applications which are dynamically
linked against Motif, and the Motif Window Manager "mwm".

%if %{with_mwm}
%package mwm
Summary: Open Motif window manager clone based on fvwm
Group: User Interface/Desktops
Obsoletes: lesstif-mwm
Provides: lesstif-mwm

%description mwm
MWM is a window manager that adheres largely to the Motif mwm specification.
%endif

%package clients
Summary: Open Motif clients
Group: User Interface/X
Obsoletes: lesstif-clients
Provides: lesstif-clients

%description clients
Uil and xmbind.

%package devel
Summary: Open Motif development libraries and header files.
Group: Development/Libraries
Obsoletes: lesstif-devel
Provides: lesstif-devel
Requires: %{name} = %{version}-%{release}

%description devel
This is the Open Motif %{version} development environment. It includes the
static libraries and header files necessary to build Motif applications.

%prep
%setup -q
%patch11 -p1 -b .demo~
%patch12 -p1 -b .libtool~
%patch15 -p1 -b .utf8~
%patch25 -p1 -b .libdir~
%patch1000 -p1 -b .CAN-2004-0914~

%build
unset LANG || :
libtoolize -c -f
aclocal-1.5
autoconf
automake-1.5 -a -c -f
CFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64" \
./configure --prefix=%{prefix} --libdir=%{prefix}/%{_lib} --enable-static
make clean
make

%install
%__rm -rf %{buildroot}

make DESTDIR=%{buildroot} install

%if %{with_mwm}
%__mkdir_p %{buildroot}/etc/X11/xinit/session.d/
cat <<END > %{buildroot}/etc/X11/xinit/session.d/mwm
NAME=MWM
SESSION_EXEC=/usr/X11R6/bin/mwm
export SESSION_EXEC
END
%else
%__rm -f %{buildroot}%{prefix}/bin/mwm
%__rm -f %{buildroot}%{prefix}/lib/X11/system.mwmrc
%__rm -f %{buildroot}%{prefix}/man/man1/mwm.1*
%endif

### remove demo files
%__rm -f %{buildroot}/usr/X11R6/bin/xmanimate
%__rm -f %{buildroot}/usr/X11R6/bin/DNDDemo
%__rm -f %{buildroot}/usr/X11R6/bin/airport
%__rm -f %{buildroot}/usr/X11R6/bin/autopopups
%__rm -f %{buildroot}/usr/X11R6/bin/bboxdemo
%__rm -f %{buildroot}/usr/X11R6/bin/colordemo
%__rm -f %{buildroot}/usr/X11R6/bin/column
%__rm -f %{buildroot}/usr/X11R6/bin/draw
%__rm -f %{buildroot}/usr/X11R6/bin/dropdown
%__rm -f %{buildroot}/usr/X11R6/bin/earth
%__rm -f %{buildroot}/usr/X11R6/bin/filemanager
%__rm -f %{buildroot}/usr/X11R6/bin/fileview
%__rm -f %{buildroot}/usr/X11R6/bin/fontsel
%__rm -f %{buildroot}/usr/X11R6/bin/getsubres
%__rm -f %{buildroot}/usr/X11R6/bin/helloint
%__rm -f %{buildroot}/usr/X11R6/bin/hellomotif
%__rm -f %{buildroot}/usr/X11R6/bin/i18ninput
%__rm -f %{buildroot}/usr/X11R6/bin/iconbuttondemo
%__rm -f %{buildroot}/usr/X11R6/bin/multilist
%__rm -f %{buildroot}/usr/X11R6/bin/outline
%__rm -f %{buildroot}/usr/X11R6/bin/paned
%__rm -f %{buildroot}/usr/X11R6/bin/panner
%__rm -f %{buildroot}/usr/X11R6/bin/periodic
%__rm -f %{buildroot}/usr/X11R6/bin/piano
%__rm -f %{buildroot}/usr/X11R6/bin/sampler2_0
%__rm -f %{buildroot}/usr/X11R6/bin/setDate
%__rm -f %{buildroot}/usr/X11R6/bin/simpledrop
%__rm -f %{buildroot}/usr/X11R6/bin/tabstack
%__rm -f %{buildroot}/usr/X11R6/bin/todo
%__rm -f %{buildroot}/usr/X11R6/bin/tooltips
%__rm -f %{buildroot}/usr/X11R6/bin/tree
%__rm -f %{buildroot}/usr/X11R6/bin/wsm
%__rm -f %{buildroot}/usr/X11R6/man/manm/exm_in_c.man*
%__rm -f %{buildroot}/usr/X11R6/man/manm/simpleDemo.man*
%__rm -rf %{buildroot}/usr/X11R6/share/Xm/


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYRIGHT.MOTIF README RELEASE RELNOTES
%{prefix}/%{_lib}/lib*.so.*
%{prefix}/include/X11/bitmaps/*

%if %{with_mwm}
%files mwm
%defattr(-,root,root)
/etc/X11/xinit/session.d/mwm
%{prefix}/bin/mwm
%{prefix}/lib/X11/system.mwmrc
%{prefix}/man/man1/mwm.1*
%endif

%files clients
%defattr(-,root,root)
%{prefix}/bin/uil
%{prefix}/bin/xmbind
%{prefix}/lib/X11/bindings
%{prefix}/man/man1/uil.1*
%{prefix}/man/man1/xmbind.1*

%files devel
%defattr(-,root,root)
%{prefix}/bin/uil
%{prefix}/include/Mrm
%{prefix}/include/Xm
%{prefix}/include/uil
%{prefix}/%{_lib}/lib*.a
%{prefix}/%{_lib}/lib*.la
%{prefix}/%{_lib}/lib*.so
%{prefix}/man/man3/*
%{prefix}/man/man4/*
%{prefix}/man/man5/*

%changelog
* Sat Feb 19 2005 Toru Hoshina <t@momonga-linux.org>
- (2.2.4-5m)
- use simply make instead of %%make, to avoid oikoshi.

* Sun Jan 23 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.2.4-4m)
- enable x86_64.
  fix libdir : openMotif-2.2.3-libdir.patch
  unset LANG for uil.

* Tue Jan 11 2005 zunda <zunda at freeshell.org>
- (kossori)
- BuildPreReq: xorg-x11-deprecated-libs-devel for X11/extensions/Print.h

* Sun Dec  5 2004 TAKAHASHI Tamotsu <tamo>
- (2.2.4-3m)
- fix CAN-2004-0914

* Sat Dec	 4 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (2.2.4-2m)
- Ooops! so is not so. (so ga so jya nai!)
- run libtoolize, run aclocal, run autoconf, run automake. run run run...

* Fri Dec 4 2004 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.2.4-1m)
- up to 2.2.4
- [SECURITY]	Motif / Open Motif libXpm Vulnerabilities
	http://secunia.com/advisories/13347/

* Tue May 11 2004 Toru Hoshina <t@momonga-linux.org>
- (2.2.3-2m)
- mwm doesn't work.

* Fri Apr 16 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.2.3-1m)
- major bugfixes
- remove 'openmotif-2.2.0-rhl.patch'
- remove 'openMotif-2.2.2-Xmu.patch'
- remove 'openMotif-2.2.2-x86_64.patch'
- remove 'openmotif-2.2.2-avoidlesstif.patch'

* Thu Mar 25 2004 Toru Hoshina <t@momonga-linux.org>
- (2.2.2-5m)
- revised spec for rpm 4.2.

* Wed Nov	 5 2003 zunda <zunda at freeshell.org>
- (2.2.2-4m)
- adapt the License: preamble for the Momonga Linux license
	expression unification policy (draft)

* Sat Jul	 5 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (2.2.2-3m)
- import the following patches from rawhide (2.2.2-15)
	- openmotif-2.2.2-libtool.patch
		(build libMrm.so* correctly when openmotif is not installed)
	- openMotif-2.2.2-Xmu.patch
		(avoid multiple definition of `_XEditResCheckMessages'
		http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=80777
	- openMotif-2.2.2-utf8.patch
		http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=80271
	- openMotif-2.2.2-x86_64.patch (x86_64 support)

* Mon May 13 2002 Toru Hoshina <t@kondara.org>
- (2.2.2-0k)
- 1st release for Kondara.
- obsolete lesstif family.
